<?php

//============================
//                            
//  ####     #####    ####  
//  ##  ##  ##   ##  ##     
//  ##  ##  ##   ##  ##     
//  ##  ##  ##   ##  ##     
//  ####     #####    ####  
//                            
//============================
// https://www.advancedcustomfields.com/resources/local-json/


/**
 * Enregistrer la config de ses metaboxes & champs ACF dans un dossier de son plugin/thème
 * Filtre : acf/settings/save_json
 */
function msk_acf_change_json_save_point($path) {
	$path = MSK_ACF_PATH . 'acf-fields';
	return $path;
}
add_filter('acf/settings/save_json', 'msk_acf_change_json_save_point');


/**
 * Charger la config de ses metaboxes & champs ACF dans un dossier de son plugin/
 * Filtre : acf/settings/load_json
 */
function msk_acf_change_json_load_point($path) {
	$path[] = MSK_ACF_PATH . 'acf-fields';
	return $path;
}
add_filter('acf/settings/load_json', 'msk_acf_change_json_load_point');
