<?php

//============================
//                            
//  ####     #####    ####  
//  ##  ##  ##   ##  ##     
//  ##  ##  ##   ##  ##     
//  ##  ##  ##   ##  ##     
//  ####     #####    ####  
//                            
//============================
// https://www.advancedcustomfields.com/resources/acf-load_field/


/**
 * Charger dynamiquement les choix d'un menu déroulant
 * Filtre : acf/load_field
 */
function msk_acf_populate_year_field($field) {
	$years = [];
	$max_years = 5;

	for ($i = 0; $i <= $max_years; $i++) {
		$date = date('Y') - $i;
		$years[$date] = sprintf('Acheté en %d', $date);
	}
	
	$field['choices'] = $years;

	return $field;
}
add_filter('acf/load_field/name=annonce_date_achat', 'msk_acf_populate_year_field');