<?php

//============================
//                            
//  ####     #####    ####  
//  ##  ##  ##   ##  ##     
//  ##  ##  ##   ##  ##     
//  ##  ##  ##   ##  ##     
//  ####     #####    ####  
//                            
//============================
// https://www.advancedcustomfields.com/resources/acf-update_value/


/**
 * Nettoyer/sécuriser la valeur d'un champ WYSIWYG
 * Filtre : acf/update_value
 */
function msk_acf_sanitize_wysiwyg_fields($value) {
	if (is_array($value)) {
		return array_map('wp_kses_post', $value);
	}

	return wp_kses_post($value);
}
add_filter('acf/update_value/type=wysiwyg', 'msk_acf_sanitize_wysiwyg_fields', 10, 1);